org.eclipse.net4j.db

## Interface DBUtil.RowHandler

- All Known Subinterfaces:
    DBUtil.DeserializeRowHandler, DBUtil.SerializeRowHandler
  Enclosing class:
    DBUtil

      public static interface DBUtil.RowHandler

  Call-back interface with a `method` that is called after a number of table rows have been handled by one of the subtypes of this interface.
  Since:
    4.1
  Author:
    Eike Stepper

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `done(boolean successful)`

- - ### Method Detail

    - #### done

          void done(boolean successful)
             throws java.sql.SQLException,
                    java.io.IOException

      Throws:
        `java.sql.SQLException`
        `java.io.IOException`

Copyright (c) 2004-2019 Eike Stepper (Loehne, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v10.html